Get all records with paging
GET
/openapi/prioritysla/paged
const url = 'https://open-api.replyco.com/openapi/prioritysla/paged?page=1&count=10&asc=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://open-api.replyco.com/openapi/prioritysla/paged?page=1&count=10&asc=true' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer format: int32
Page number, default = 1
count
integer format: int32
Amount of elements per page, default = 10
term
string
Search text in main model fields
sort
string
Name of field to sort by
asc
boolean
True if ascending sort, false if descending, default - true
Responses
Section titled “Responses”OK
Media typeapplication/json
object
totalRecords
integer format: int32
pageSize
integer format: int32
pagesCount
integer format: int32
currentPage
integer format: int32
data
Array<object>
object
id
string format: uuid
priority
string
operationalHours
integer format: int32
respondWithin
integer format: int32
resolveWithin
integer format: int32
Example
{ "totalRecords": 2, "pageSize": 100, "pagesCount": 1, "currentPage": 1, "data": [ { "id": "2a4c6e8f-0b1d-4f3a-8c5e-7d9f1b3a5c7e", "priority": "Urgent", "respondWithin": 60, "resolveWithin": 480 }, { "id": "9e8d7c6b-5a4f-4e3d-8c2b-1a0f9e8d7c6b", "priority": "Standard", "respondWithin": 480, "resolveWithin": 2880 } ]}Unauthorized